curl --request DELETE \
--url https://api.orbital-systems.com/client/user/invites/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbital-systems.com/client/user/invites/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbital-systems.com/client/user/invites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbital-systems.com/client/user/invites/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbital-systems.com/client/user/invites/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.orbital-systems.com/client/user/invites/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbital-systems.com/client/user/invites/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "5d4c3b2a-1f0e-4d9c-8b7a-6f5e4d3c2b1a",
"inviter": "6f1c2e0a-3d4b-4e8f-9a7c-2b5d1e3f4a6b",
"inviter_email": "owner@example.com",
"email": "friend@example.com",
"group_id": "6f1c2e0a-3d4b-4e8f-9a7c-2b5d1e3f4a6b",
"accepted": false,
"device_id": "0b7a6c1e-5f2d-4c3b-8a9e-1d2f3a4b5c6d",
"created_at": "2026-03-14T09:12:44.000Z",
"updated_at": "2026-10-28T17:03:10.000Z",
"role": "user"
}{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "Invite not found",
"statusCode": 404,
"name": "NotFoundError"
}{
"message": "Internal server error"
}Delete user invite
curl --request DELETE \
--url https://api.orbital-systems.com/client/user/invites/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbital-systems.com/client/user/invites/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbital-systems.com/client/user/invites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbital-systems.com/client/user/invites/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbital-systems.com/client/user/invites/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.orbital-systems.com/client/user/invites/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbital-systems.com/client/user/invites/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "5d4c3b2a-1f0e-4d9c-8b7a-6f5e4d3c2b1a",
"inviter": "6f1c2e0a-3d4b-4e8f-9a7c-2b5d1e3f4a6b",
"inviter_email": "owner@example.com",
"email": "friend@example.com",
"group_id": "6f1c2e0a-3d4b-4e8f-9a7c-2b5d1e3f4a6b",
"accepted": false,
"device_id": "0b7a6c1e-5f2d-4c3b-8a9e-1d2f3a4b5c6d",
"created_at": "2026-03-14T09:12:44.000Z",
"updated_at": "2026-10-28T17:03:10.000Z",
"role": "user"
}{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "Invite not found",
"statusCode": 404,
"name": "NotFoundError"
}{
"message": "Internal server error"
}Authorizations
Send your API key in the x-api-key header of every request. The key belongs to one Orbital account, and requests act as that account: they see and control only the devices it owns or has been given access to. A missing or unknown key gets 403 with { "message": "Forbidden" }.
Path Parameters
Invite ID
Response
Success
Unique ID of the invite.
"5d4c3b2a-1f0e-4d9c-8b7a-6f5e4d3c2b1a"
User ID of the person who sent the invite.
"6f1c2e0a-3d4b-4e8f-9a7c-2b5d1e3f4a6b"
Email address of the person who sent the invite.
"owner@example.com"
Email address of the person invited.
"friend@example.com"
ID of the shared group, when a group is shared.
"6f1c2e0a-3d4b-4e8f-9a7c-2b5d1e3f4a6b"
Whether the invite has been accepted.
false
ID of the shared device, when a single device is shared.
"0b7a6c1e-5f2d-4c3b-8a9e-1d2f3a4b5c6d"
When the record was created (ISO 8601).
"2026-03-14T09:12:44.000Z"
When the record was last changed (ISO 8601).
"2026-10-28T17:03:10.000Z"
Access the invite gives: user or maintenance. Missing means user.
maintenance, user "user"
Was this page helpful?